Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iProjectSetup.TreeList

    java.lang.Object
      |
      +--s2iProjectSetup.TreeList

Direct Known Subclasses:
  s2iProjectSetup.LibTreeList

class s2iProjectSetup.TreeList
extends java.lang.Object

Field Summary
`protected java.util.Vector` | `list`
`protected javax.swing.tree.DefaultMutableTreeNode` | `rootNode`
`protected java.awt.Toolkit` | `toolkit`
`protected javax.swing.JTree` | `tree`
`protected javax.swing.tree.DefaultTreeModel` | `treeModel`

Constructor Summary
`s2iProjectSetup.TreeList(java.lang.String rootNodeName)`

Method Summary
`void` | `addElem(java.lang.String newElem)`
`java.lang.Object` | `archive()`
`boolean` | `contains(java.lang.String elem)`
`javax.swing.tree.DefaultMutableTreeNode` | `currentSelection()`
`javax.swing.tree.DefaultMutableTreeNode[]` | `currentSelections()`
`void` | `delSelectedElem()`
`javax.swing.JTree` | `getTree()`
`boolean` | `isEmpty()`
`void` | `removeAll()`
`void` | `setTree(javax.swing.JTree t)`
`void` | `writeToFile(java.lang.String fname)`
`void` | `writeToFile(java.lang.String fname, java.lang.String[] prefix)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### list

    protected java.util.Vector list

### rootNode

    protected javax.swing.tree.DefaultMutableTreeNode rootNode

### treeModel

    protected javax.swing.tree.DefaultTreeModel treeModel

### tree

    protected javax.swing.JTree tree

### toolkit

    protected java.awt.Toolkit toolkit

Constructor Detail

### s2iProjectSetup.TreeList

    public s2iProjectSetup.TreeList(java.lang.String rootNodeName)

Method Detail

### setTree

    public void setTree(javax.swing.JTree t)

### getTree

    public javax.swing.JTree getTree()

### contains

    public boolean contains(java.lang.String elem)

### currentSelection

    public javax.swing.tree.DefaultMutableTreeNode currentSelection()

### currentSelections

    public javax.swing.tree.DefaultMutableTreeNode[] currentSelections()

### addElem

    public void addElem(java.lang.String newElem)
                 throws java.io.FileNotFoundException,
                        java.io.IOException

### delSelectedElem

    public void delSelectedElem()

### removeAll

    public void removeAll()

### writeToFile

    public void writeToFile(java.lang.String fname)
                     throws java.io.IOException,
                            java.lang.IndexOutOfBoundsException

### writeToFile

    public void writeToFile(java.lang.String fname,
                            java.lang.String[] prefix)
                     throws java.io.IOException,
                            java.lang.IndexOutOfBoundsException

### isEmpty

    public boolean isEmpty()

### archive

    public java.lang.Object archive()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD